Subject: bug#1537: diff-mode for git patches trouble

From: Stefan Kangas <[email-masked]>
Date: Sun, 16 Aug 2020 10:00:02 -0700

Dmitriy Blinov <[email-masked]> writes:

> There is the problem then I'm trying to edit git-generated patches in
> emacs diff-mode.
>
> git patches look like:
> ---
> hello.txt |    2 +-
> 1 files changed, 1 insertions(+), 1 deletions(-)
>
> diff --git a/hello.txt b/hello.txt
> index 55bf894..25a09cc 100644
> --- a/hello.txt
> +++ b/hello.txt
> @@ -6,7 +6,7 @@
> 5
> 6
> 7
> -8
> +8 8
> 9
> 10
> 11

(That was 11 years ago.)

I can't reproduce this on current master.  The numbers seem to update
correctly, as ar as I'm understanding from:

    https://stackoverflow.com/questions/6508651/what-do-the-numbers-on-a-git-diff-header-mean

It would be useful if someone could double check this finding in case
there is something I'm missing.  It could be quickly verified using:

    git format-patch -1 ; ./src/emacs -Q *patch

And then edit any line in a patch to see if the numbers update correctly.

Best regards,
Stefan Kangas